Bug 1402862 - fence-rhevm has to move to v4 API of RHV (v3 will be deprecated)
Summary: fence-rhevm has to move to v4 API of RHV (v3 will be deprecated)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents
Version: 7.3
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Oyvind Albrigtsen
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1708547 1709780 1710801 1710802
TreeView+ depends on / blocked
 
Reported: 2016-12-08 13:39 UTC by Yaniv Kaul
Modified: 2019-08-06 12:35 UTC (History)
11 users (show)

Fixed In Version: fence-agents-4.2.1-18.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1708547 1709780 1710801 1710802 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4097321 None None None 2019-05-01 15:55:30 UTC
Red Hat Knowledge Base (Solution) 4102861 None None None 2019-05-03 13:20:48 UTC
Red Hat Product Errata RHSA-2019:2037 None None None 2019-08-06 12:35:15 UTC

Description Yaniv Kaul 2016-12-08 13:39:35 UTC
Description of problem:
RHV is going to be deprecated v3 API in a year. v4 API is already available from 4.0 (Aug 2016) - the agent should move to the new API.
Personally, I'd create fence-rhvm4 agent.

Comment 2 Marek Grac 2016-12-12 11:33:55 UTC
@Yaniv:

Would it be possible to have API that will last (almost) forever? I have no issues with building fence_rhevm4 but it will be harder to add a new packages to RHEL7 in next years.

Comment 3 Yaniv Kaul 2016-12-20 14:08:44 UTC
(In reply to Marek Grac from comment #2)
> @Yaniv:
> 
> Would it be possible to have API that will last (almost) forever? I have no
> issues with building fence_rhevm4 but it will be harder to add a new
> packages to RHEL7 in next years.

For the lifecycle of RHV 4.x, the v4 API will be supported. That's several years.

Comment 4 Marek Grac 2017-02-06 09:09:11 UTC
*** Bug 1402860 has been marked as a duplicate of this bug. ***

Comment 5 Oyvind Albrigtsen 2017-02-24 13:49:51 UTC
(In reply to Yaniv Kaul from comment #3)
Will it be backwards compatible with v3 as mentioned in the following bz?
https://bugzilla.redhat.com/show_bug.cgi?id=1422499#c0

Comment 6 Yaniv Kaul 2017-03-06 12:21:26 UTC
(In reply to Oyvind Albrigtsen from comment #5)
> (In reply to Yaniv Kaul from comment #3)
> Will it be backwards compatible with v3 as mentioned in the following bz?
> https://bugzilla.redhat.com/show_bug.cgi?id=1422499#c0

No, v4 is completely different.

Comment 8 Oyvind Albrigtsen 2017-11-01 14:43:51 UTC
Bumping to 7.6.

Comment 17 Oyvind Albrigtsen 2019-05-09 13:31:15 UTC
https://github.com/ClusterLabs/fence-agents/pull/269

Comment 25 errata-xmlrpc 2019-08-06 12:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2037


Note You need to log in before you can comment on or make changes to this bug.